Modify

Opened 20 months ago

Closed 13 days ago

#12097 closed defect (fixed)

NoClassDefFoundError when importing GeoTiff image

Reported by: kendzi Owned by: maps2xplane@…
Priority: critical Milestone:
Component: Plugin geotools Version:
Keywords: template_report ejml geotiff Cc:

Description

What steps will reproduce the problem?

  1. Install Import Image plugin
  2. Open GeoTiff image with elevation from ASTER

What is the expected result?

Don't known just try that plugin, definitely not Null Pointer...
But I hoped to see some elevation data.

What happens instead?

I get an error message pop-up:

Error while creating imagle layer: jave.lang.NullPointerException

Console output:

ERROR>org.geotools.data.DataSourceException: it/geosolutions/imageio/stream/input/FileImageInputStreamExtImpl
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:262)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.readGeoTiff(PluginOperations.java:347)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.createGridFromFile(PluginOperations.java:120)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.createImage(ImageLayer.java:92)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.<init>(ImageLayer.java:76)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction.actionPerformed(LoadImageAction.java:47)
ERROR>	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
ERROR>	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
ERROR>	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
ERROR>	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
ERROR>	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
ERROR>	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
ERROR>	at java.awt.Component.processMouseEvent(Component.java:6516)
ERROR>	at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
ERROR>	at java.awt.Component.processEvent(Component.java:6281)
ERROR>	at java.awt.Container.processEvent(Container.java:2229)
ERROR>	at java.awt.Component.dispatchEventImpl(Component.java:4872)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2287)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
ERROR>	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
ERROR>	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2273)
ERROR>	at java.awt.Window.dispatchEventImpl(Window.java:2719)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747)
ERROR>	at java.awt.EventQueue.access$300(EventQueue.java:103)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:706)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:704)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:720)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:718)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.awt.EventQueue.dispatchEvent(EventQueue.java:717)
ERROR>	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
ERROR>	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
ERROR>Caused by: org.geotools.data.DataSourceException: it/geosolutions/imageio/stream/input/FileImageInputStreamExtImpl
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:487)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:249)
ERROR>	... 44 more
ERROR>Caused by: java.lang.NoClassDefFoundError: it/geosolutions/imageio/stream/input/FileImageInputStreamExtImpl
ERROR>	at it.geosolutions.imageioimpl.plugins.tiff.TIFFImageReader.setInput(TIFFImageReader.java:405)
ERROR>	at javax.imageio.ImageReader.setInput(ImageReader.java:380)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:301)
ERROR>	... 45 more
ERROR>Caused by: java.lang.ClassNotFoundException: it.geosolutions.imageio.stream.input.FileImageInputStreamExtImpl
ERROR>	at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
ERROR>	at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
ERROR>	at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
ERROR>	at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
ERROR>	... 48 more
ERROR>org.geotools.data.DataSourceException: it/geosolutions/imageio/stream/input/FileImageInputStreamExtImpl
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:262)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.readGeoTiff(PluginOperations.java:347)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.createGridFromFile(PluginOperations.java:120)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.createImage(ImageLayer.java:124)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.<init>(ImageLayer.java:76)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction.actionPerformed(LoadImageAction.java:47)
ERROR>	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
ERROR>	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
ERROR>	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
ERROR>	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
ERROR>	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
ERROR>	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
ERROR>	at java.awt.Component.processMouseEvent(Component.java:6516)
ERROR>	at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
ERROR>	at java.awt.Component.processEvent(Component.java:6281)
ERROR>	at java.awt.Container.processEvent(Container.java:2229)
ERROR>	at java.awt.Component.dispatchEventImpl(Component.java:4872)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2287)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
ERROR>	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
ERROR>	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2273)
ERROR>	at java.awt.Window.dispatchEventImpl(Window.java:2719)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747)
ERROR>	at java.awt.EventQueue.access$300(EventQueue.java:103)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:706)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:704)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:720)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:718)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.awt.EventQueue.dispatchEvent(EventQueue.java:717)
ERROR>	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
ERROR>	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
ERROR>Caused by: org.geotools.data.DataSourceException: it/geosolutions/imageio/stream/input/FileImageInputStreamExtImpl
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:487)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:249)
ERROR>	... 44 more
ERROR>Caused by: java.lang.NoClassDefFoundError: it/geosolutions/imageio/stream/input/FileImageInputStreamExtImpl
ERROR>	at it.geosolutions.imageioimpl.plugins.tiff.TIFFImageReader.setInput(TIFFImageReader.java:405)
ERROR>	at javax.imageio.ImageReader.setInput(ImageReader.java:380)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:301)
ERROR>	... 45 more
OUTPUT>00:08:35.262 [AWT-EventQueue-0] ERROR org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer - Error while creating GridCoverage:
OUTPUT>java.lang.NullPointerException
OUTPUT>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.createGridFromFile(PluginOperations.java:158) ~[ImportImagePlugin.jar:?]
OUTPUT>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.createImage(ImageLayer.java:124) [ImportImagePlugin.jar:?]
OUTPUT>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.<init>(ImageLayer.java:76) [ImportImagePlugin.jar:?]
OUTPUT>	at org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction.actionPerformed(LoadImageAction.java:47) [ImportImagePlugin.jar:?]
OUTPUT>	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018) [?:1.7.0_85]
OUTPUT>	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341) [?:1.7.0_85]
OUTPUT>	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402) [?:1.7.0_85]
OUTPUT>	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259) [?:1.7.0_85]
OUTPUT>	at javax.swing.AbstractButton.doClick(AbstractButton.java:376) [?:1.7.0_85]
OUTPUT>	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833) [?:1.7.0_85]
OUTPUT>	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877) [?:1.7.0_85]
OUTPUT>	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289) [?:1.7.0_85]
OUTPUT>	at java.awt.Component.processMouseEvent(Component.java:6516) [?:1.7.0_85]
OUTPUT>	at javax.swing.JComponent.processMouseEvent(JComponent.java:3312) [?:1.7.0_85]
OUTPUT>	at java.awt.Component.processEvent(Component.java:6281) [?:1.7.0_85]
OUTPUT>	at java.awt.Container.processEvent(Container.java:2229) [?:1.7.0_85]
OUTPUT>	at java.awt.Component.dispatchEventImpl(Component.java:4872) [?:1.7.0_85]
OUTPUT>	at java.awt.Container.dispatchEventImpl(Container.java:2287) [?:1.7.0_85]
OUTPUT>	at java.awt.Component.dispatchEvent(Component.java:4698) [?:1.7.0_85]
OUTPUT>	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832) [?:1.7.0_85]
OUTPUT>	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492) [?:1.7.0_85]
OUTPUT>	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422) [?:1.7.0_85]
OUTPUT>	at java.awt.Container.dispatchEventImpl(Container.java:2273) [?:1.7.0_85]
OUTPUT>	at java.awt.Window.dispatchEventImpl(Window.java:2719) [?:1.7.0_85]
OUTPUT>	at java.awt.Component.dispatchEvent(Component.java:4698) [?:1.7.0_85]
OUTPUT>	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747) [?:1.7.0_85]
OUTPUT>	at java.awt.EventQueue.access$300(EventQueue.java:103) [?:1.7.0_85]
OUTPUT>	at java.awt.EventQueue$3.run(EventQueue.java:706) [?:1.7.0_85]
OUTPUT>	at java.awt.EventQueue$3.run(EventQueue.java:704) [?:1.7.0_85]
OUTPUT>	at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_85]
OUTPUT>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76) [?:1.7.0_85]
OUTPUT>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87) [?:1.7.0_85]
OUTPUT>	at java.awt.EventQueue$4.run(EventQueue.java:720) [?:1.7.0_85]
OUTPUT>	at java.awt.EventQueue$4.run(EventQueue.java:718) [?:1.7.0_85]
OUTPUT>	at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_85]
OUTPUT>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76) [?:1.7.0_85]
OUTPUT>	at java.awt.EventQueue.dispatchEvent(EventQueue.java:717) [?:1.7.0_85]
OUTPUT>	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242) [?:1.7.0_85]
OUTPUT>	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161) [?:1.7.0_85]
OUTPUT>	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150) [?:1.7.0_85]
OUTPUT>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146) [?:1.7.0_85]
OUTPUT>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138) [?:1.7.0_85]
OUTPUT>	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91) [?:1.7.0_85]
OUTPUT>00:08:35.266 [AWT-EventQueue-0] ERROR org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction - Error while creating image layer: 
OUTPUT>java.lang.NullPointerException


Please provide any additional information below. Attach a screenshot if possible.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2015-10-30 02:32:24
Last Changed Author: Don-vip
Revision: 8969
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2015-10-29 22:15:23 +0100 (Thu, 29 Oct 2015)
Last Changed Rev: 8969

Identification: JOSM/1.5 (8969 en) Linux Ubuntu 15.10
Memory Usage: 852 MB / 7081 MB (696 MB allocated, but free)
Java version: 1.7.0_85, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u85-2.6.1-5ubuntu0.15.10.1

Plugins:
- ImportImagePlugin (31603)
- PicLayer (31694)
- geotools (31603)
- jts (31603)
- kendzi3d (1.0.188)
- kendzi3d-jogl (41)
- kendzi3d-resources (0.0.1)
- log4j (31603)

Attachments (0)

Change History (19)

comment:1 Changed 20 months ago by Don-vip

Component: Plugin importimagePlugin geotools
Owner: changed from team to Don-vip

comment:2 Changed 20 months ago by Don-vip

Missing class added in [o31740:31741] but I don't know if it's enough, can you please check?

comment:3 Changed 20 months ago by kendzi

Better but still not perfect:

Console:

Caused by: java.lang.ClassNotFoundException: it.geosolutions.imageio.maskband.DatasetLayout
ERROR>org.geotools.data.DataSourceException: it/geosolutions/imageio/maskband/DatasetLayout
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:262)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.readGeoTiff(PluginOperations.java:347)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.createGridFromFile(PluginOperations.java:120)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.createImage(ImageLayer.java:92)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.<init>(ImageLayer.java:76)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction.actionPerformed(LoadImageAction.java:47)
ERROR>	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
ERROR>	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
ERROR>	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
ERROR>	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
ERROR>	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
ERROR>	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
ERROR>	at java.awt.Component.processMouseEvent(Component.java:6516)
ERROR>	at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
ERROR>	at java.awt.Component.processEvent(Component.java:6281)
ERROR>	at java.awt.Container.processEvent(Container.java:2229)
ERROR>	at java.awt.Component.dispatchEventImpl(Component.java:4872)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2287)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
ERROR>	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
ERROR>	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2273)
ERROR>	at java.awt.Window.dispatchEventImpl(Window.java:2719)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747)
ERROR>	at java.awt.EventQueue.access$300(EventQueue.java:103)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:706)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:704)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:720)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:718)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.awt.EventQueue.dispatchEvent(EventQueue.java:717)
ERROR>	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
ERROR>	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
ERROR>Caused by: org.geotools.data.DataSourceException: it/geosolutions/imageio/maskband/DatasetLayout
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:487)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:249)
ERROR>	... 44 more
ERROR>Caused by: java.lang.NoClassDefFoundError: it/geosolutions/imageio/maskband/DatasetLayout
ERROR>	at java.lang.ClassLoader.defineClass1(Native Method)
ERROR>	at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
ERROR>	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
ERROR>	at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
ERROR>	at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
ERROR>	at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
ERROR>	at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
ERROR>	at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
ERROR>	at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
ERROR>	at it.geosolutions.imageioimpl.plugins.tiff.TIFFImageReader.setInput(TIFFImageReader.java:437)
ERROR>	at javax.imageio.ImageReader.setInput(ImageReader.java:380)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:301)
ERROR>	... 45 more
ERROR>Caused by: java.lang.ClassNotFoundException: it.geosolutions.imageio.maskband.DatasetLayout
ERROR>	at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
ERROR>	at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
ERROR>	at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
ERROR>	at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
ERROR>	... 59 more


comment:4 Changed 20 months ago by Don-vip

Both plugins updated in [o31742:31747] it should be OK this time, can you please check?

comment:5 Changed 20 months ago by kendzi

Now it can't read image:

ERROR>Nov 15, 2015 3:53:44 PM org.geotools.coverage.grid.io.imageio.MaskOverviewProvider$SpiHelper <init>
ERROR>WARNING: Unable to create a Reader for File: /home/kendzi/Desktop/wycieczka piatek/new.tiff
ERROR>java.lang.IllegalArgumentException
ERROR>	at com.sun.imageio.spi.FileImageInputStreamSpi.createInputStreamInstance(FileImageInputStreamSpi.java:60)
ERROR>	at org.geotools.coverage.grid.io.imageio.MaskOverviewProvider$SpiHelper.<init>(MaskOverviewProvider.java:720)
ERROR>	at org.geotools.coverage.grid.io.imageio.MaskOverviewProvider.<init>(MaskOverviewProvider.java:106)
ERROR>	at org.geotools.coverage.grid.io.imageio.MaskOverviewProvider.<init>(MaskOverviewProvider.java:101)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:357)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:249)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.readGeoTiff(PluginOperations.java:349)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.createGridFromFile(PluginOperations.java:120)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.createImage(ImageLayer.java:92)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.<init>(ImageLayer.java:76)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction.actionPerformed(LoadImageAction.java:47)
ERROR>	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
ERROR>	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
ERROR>	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
ERROR>	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
ERROR>	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
ERROR>	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
ERROR>	at java.awt.Component.processMouseEvent(Component.java:6516)
ERROR>	at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
ERROR>	at java.awt.Component.processEvent(Component.java:6281)
ERROR>	at java.awt.Container.processEvent(Container.java:2229)
ERROR>	at java.awt.Component.dispatchEventImpl(Component.java:4872)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2287)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
ERROR>	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
ERROR>	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2273)
ERROR>	at java.awt.Window.dispatchEventImpl(Window.java:2719)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747)
ERROR>	at java.awt.EventQueue.access$300(EventQueue.java:103)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:706)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:704)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:720)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:718)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.awt.EventQueue.dispatchEvent(EventQueue.java:717)
ERROR>	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
ERROR>	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
ERROR>
ERROR>org.geotools.data.DataSourceException: java.lang.IllegalArgumentException
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:262)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.readGeoTiff(PluginOperations.java:349)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.createGridFromFile(PluginOperations.java:120)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.createImage(ImageLayer.java:92)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.<init>(ImageLayer.java:76)
ERROR>	at org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction.actionPerformed(LoadImageAction.java:47)
ERROR>	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
ERROR>	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
ERROR>	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
ERROR>	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
ERROR>	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
ERROR>	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
ERROR>	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
ERROR>	at java.awt.Component.processMouseEvent(Component.java:6516)
ERROR>	at javax.swing.JComponent.processMouseEvent(JComponent.java:3312)
ERROR>	at java.awt.Component.processEvent(Component.java:6281)
ERROR>	at java.awt.Container.processEvent(Container.java:2229)
ERROR>	at java.awt.Component.dispatchEventImpl(Component.java:4872)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2287)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
ERROR>	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
ERROR>	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
ERROR>	at java.awt.Container.dispatchEventImpl(Container.java:2273)
ERROR>	at java.awt.Window.dispatchEventImpl(Window.java:2719)
ERROR>	at java.awt.Component.dispatchEvent(Component.java:4698)
ERROR>	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:747)
ERROR>	at java.awt.EventQueue.access$300(EventQueue.java:103)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:706)
ERROR>	at java.awt.EventQueue$3.run(EventQueue.java:704)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:720)
ERROR>	at java.awt.EventQueue$4.run(EventQueue.java:718)
ERROR>	at java.security.AccessController.doPrivileged(Native Method)
ERROR>	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
ERROR>	at java.awt.EventQueue.dispatchEvent(EventQueue.java:717)
ERROR>	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
ERROR>	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
ERROR>	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
ERROR>	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
ERROR>Caused by: org.geotools.data.DataSourceException: java.lang.IllegalArgumentException
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:487)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.<init>(GeoTiffReader.java:249)
ERROR>	... 44 more
ERROR>Caused by: java.lang.IllegalArgumentException: java.lang.IllegalArgumentException
ERROR>	at org.geotools.coverage.grid.io.imageio.MaskOverviewProvider$SpiHelper.<init>(MaskOverviewProvider.java:729)
ERROR>	at org.geotools.coverage.grid.io.imageio.MaskOverviewProvider.<init>(MaskOverviewProvider.java:106)
ERROR>	at org.geotools.coverage.grid.io.imageio.MaskOverviewProvider.<init>(MaskOverviewProvider.java:101)
ERROR>	at org.geotools.gce.geotiff.GeoTiffReader.getHRInfo(GeoTiffReader.java:357)
ERROR>	... 45 more
ERROR>Caused by: java.lang.IllegalArgumentException
ERROR>	at com.sun.imageio.spi.FileImageInputStreamSpi.createInputStreamInstance(FileImageInputStreamSpi.java:60)
ERROR>	at org.geotools.coverage.grid.io.imageio.MaskOverviewProvider$SpiHelper.<init>(MaskOverviewProvider.java:720)
ERROR>	... 48 more

comment:6 Changed 20 months ago by Don-vip

have you updated both plugins? Correct versions must be geotools 31744 + importimageplugin 31746

comment:7 Changed 20 months ago by kendzi

Yes I have bot plugins in that version.

comment:8 Changed 20 months ago by kendzi

I try to debug it localy but GeoTools is in conflict with kendzi3d it has ejml jar in different version. I don't understand why it has outdated version 0.26 is not even on maven central. Could we update it to the current ejml 0.28?

Btw, should not be ejml in separated plugin? GeoTools is quite huge and that is small lib...

comment:9 Changed 20 months ago by kendzi

It seems that my plugin is depends on ejml modules:

  • core
  • dense64
  • denseC64
  • simple

Except that there is also module: equation. So maybe we add them all as new plugin?

Last edited 20 months ago by kendzi (previous) (diff)

comment:10 in reply to:  9 Changed 20 months ago by Don-vip

Replying to kendzi:

So maybe we add them all as new plugin?

Good idea, I'll do it.

comment:11 Changed 20 months ago by Don-vip

They removed a class in 0.27 (org/ejml/data/ReshapeMatrix64F) so GeoTools does not run with EJML 0.28, so I cannot update it yet.

comment:12 Changed 20 months ago by Don-vip

I have asked GeoTools to upgrade to 0.28: https://osgeo-org.atlassian.net/browse/GEOT-5300

comment:13 Changed 20 months ago by Don-vip

Keywords: ejml geotiff added
Resolution: fixed
Status: newclosed

It's working now. New plugins will be available in some minutes. I'll let you know when GeoTools upgrade their version of EJML.

comment:14 Changed 20 months ago by Don-vip

Ticket #12080 has been marked as a duplicate of this ticket.

comment:15 Changed 20 months ago by maps2xplane@…

Resolution: fixed
Status: closedreopened

thank you, but it seems not completely fixed too me: i can now load one geotiff into one new layer, if i try to load one more geotiff into one more layer, i get following exception:

19:56:25.435 [main-worker-0] ERROR org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer - Error while creating GridCoverage:
java.lang.IllegalArgumentException: ImageRead: No OperationDescriptor is registered in the current operation registry under this name.
	at javax.media.jai.JAI.createNS(JAI.java:1070) ~[geotools.jar:14.0]
	at javax.media.jai.JAI.create(JAI.java:973) ~[geotools.jar:14.0]
	at org.geotools.gce.geotiff.GeoTiffReader.read(GeoTiffReader.java:644) ~[geotools.jar:14.0]
	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.readGeoTiff(PluginOperations.java:349) ~[ImportImagePlugin.jar:?]
	at org.openstreetmap.josm.plugins.ImportImagePlugin.PluginOperations.createGridFromFile(PluginOperations.java:118) ~[ImportImagePlugin.jar:?]
	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.createImage(ImageLayer.java:92) [ImportImagePlugin.jar:?]
	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImageLayer.<init>(ImageLayer.java:76) [ImportImagePlugin.jar:?]
	at org.openstreetmap.josm.plugins.ImportImagePlugin.ImportImageFileImporter.importData(ImportImageFileImporter.java:49) [ImportImagePlugin.jar:?]
	at org.openstreetmap.josm.io.FileImporter.importDataHandleExceptions(FileImporter.java:126) [josm-tested.jar:?]
	at org.openstreetmap.josm.actions.OpenFileAction$OpenFileTask.importData(OpenFileAction.java:327) [josm-tested.jar:?]
	at org.openstreetmap.josm.actions.OpenFileAction$OpenFileTask.realRun(OpenFileAction.java:292) [josm-tested.jar:?]
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:93) [josm-tested.jar:?]
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:161) [josm-tested.jar:?]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [?:1.8.0_45]
	at java.util.concurrent.FutureTask.run(FutureTask.java:266) [?:1.8.0_45]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [?:1.8.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [?:1.8.0_45]
	at java.lang.Thread.run(Thread.java:745) [?:1.8.0_45]
19:56:25.436 [main-worker-0] ERROR org.openstreetmap.josm.plugins.ImportImagePlugin.LoadImageAction - Error while creating image layer: 
java.lang.IllegalArgumentException: ImageRead: No OperationDescriptor is registered in the current operation registry under this name.
Last edited 20 months ago by Don-vip (previous) (diff)

comment:16 Changed 4 weeks ago by Don-vip

Does the problem still occur with latest versions of JOSM plugins? If yes, please attach the two geotiff files you are trying to import.

comment:17 Changed 4 weeks ago by Don-vip

Owner: changed from Don-vip to kendzi
Status: reopenedneedinfo

comment:18 Changed 4 weeks ago by Don-vip

Owner: changed from kendzi to maps2xplane@…

comment:19 Changed 13 days ago by Don-vip

Resolution: fixed
Status: needinfoclosed

Please open a new ticket if the problem occurs again.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain maps2xplane@….
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.